package request


type AlibabaWdkopenOrderGetRequest struct {
    /*
        经营店id     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        五道口主订单id     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" required:"false" `
    /*
        外部主订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" required:"false" `
}

func (s *AlibabaWdkopenOrderGetRequest) SetStoreId(v string) *AlibabaWdkopenOrderGetRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetRequest) SetBizOrderId(v int64) *AlibabaWdkopenOrderGetRequest {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkopenOrderGetRequest) SetOutOrderId(v string) *AlibabaWdkopenOrderGetRequest {
    s.OutOrderId = &v
    return s
}

func (req *AlibabaWdkopenOrderGetRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.BizOrderId != nil) {
        paramMap["biz_order_id"] = *req.BizOrderId
    }
    if(req.OutOrderId != nil) {
        paramMap["out_order_id"] = *req.OutOrderId
    }
    return paramMap
}

func (req *AlibabaWdkopenOrderGetRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}